Subject: Re: ARMLinux and SCSI interface

From: Marco Suzzi <[email-masked]>
Date: Tue, 14 Sep 1999 21:46:41 +0000

In message <[email-masked]> you wrote:
 
> Have you tried the latest alpha partition manager? (can be found
> on ftp://ftp.arm.linux.org.uk:/pub/armlinux/testing/).  Have you
> tried creating a partition using !SDirector, and then using the
> partition manager?
  Yes.
  As you suggested, I download latest Partition Manager (1.13a13 [debug]).
  I used !SDirector to format and partition HD in 2:
  1. SCSI partition 3015 Mb size
  2. SCSI partition 1105 Mb Size
  
  I'd like to use first partition for ARMLinux.
  I run Partition Manager, I digit SCSIFS as Filing system and
  Eesox as Partition type and return.
  Double click on drive icon 4, 3015 Mb partition.

  A small window "Disk Geometry" shows :
  
    Filesystem :    SCSIFS::4  
    Cylinders  :    <empty>
    Heads      :    1
    Sectors    :    17
    
    Here I don't know very well what to du but ....
    
    I tried to fill "Cylinders" field with a number I calculated:
    
    cylinders = bytes of partition / (sector size * sectors * heads )
    with sector size=512 as Partition Manager shows.
    
    The "Disc Size" field in the main window of Partition Manager
    now shows the correct size of partition.
    
    NOTE: I also tried to let "Cylinders" field empty and "Disc Size"
    blanked with the same results.
    
    The partitions list shown is:
    
    Partition  Start       End      Size     Type
    1              0         1         0Kb   Filecore
    -              2   6175933      3016Mb   Free
    2        6175934   6175935         0Kb   Filecore

    I press 'MENU' and select "New..." but the following message is
    shown:
    
    "Error while creating new partition: unable 
           to allocate slot for partition"

> Can you describe your SCSI card, and which kernel version you are
> using (both normal x.x.xx and date as well).

  Sure. I'm sorry I forgot kernel version in my latest mail.
  
  Eesox 'fast' SCSI-2 interface cars, 
  Linux also shows this code:  [0064:008C]
  Under RiscOs: 
    SCSIDriver  1.03 (09 Mar 1998)
    SCSIFS      1.03 (10 Mar 1998)
    SCSIFiler   1.03

  Linux kernel is 2.0.36 29/05/1999 (dd/mm/yyy)
  
----------- End forwarded message -----------

-- 
Marco Suzzi
[email-masked]

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]